Package org.apache.datasketches.filters.bloomfilter

# Class DirectBitArrayR

java.lang.Object
org.apache.datasketches.filters.bloomfilter.DirectBitArrayR

public class DirectBitArrayR extends Object
This class can maintain the BitArray object off-heap.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasMemory()`
`boolean`
`isDirect()`
`boolean`
`isReadOnly()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### hasMemory

public boolean hasMemory()

### isDirect

public boolean isDirect()

### isReadOnly

public boolean isReadOnly()

### toString

public String toString()

Overrides:
  `toString` in class `Object`